# abstract MultitouchInputMode(Null<Int>)

#### package openfl.ui

####

Available on all platforms

The MultitouchInputMode class provides values for the `inputMode` property in the flash.ui.Multitouch class. These values set the type of touch events the Flash runtime dispatches when the user interacts with a touch-enabled device.

### Variables

###

`inline read onlyGESTURE:MultitouchInputMode = 0`

Specifies that TransformGestureEvent, PressAndTapGestureEvent, and GestureEvent events are dispatched for the related user interaction supported by the current environment, and other touch events(such as a simple tap) are interpreted as mouse events.

###

`inline read onlyNONE:MultitouchInputMode = 1`

###

`inline read onlyTOUCH_POINT:MultitouchInputMode = 2`

Specifies that all user contact with a touch-enabled device is interpreted as a type of mouse event.